PETSc version 3.15.5
Fix/Edit manual page

# DMForestSetAdaptivityLabel

During the pre-setup phase, set the label of the pre-adaptation forest (see DMForestGetAdaptivityForest()) that holds the adaptation flags (refinement, coarsening, or some combination). The interpretation of the label values is up to the subtype of DMForest, but DM_ADAPT_DETERMINE, DM_ADAPT_KEEP, DM_ADAPT_REFINE, and DM_ADAPT_COARSEN have been reserved as choices that should be accepted by all subtypes.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetAdaptivityLabel(DM dm, DMLabel adaptLabel)

Logically collective on dm

### Input Parameters

| dm | - the forest + adaptLabel - the label in the pre-adaptation forest

### See Also

DMForestGetAdaptivityLabel()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages